#include "TerminalExpression.h"
#include "Context.h"
#include "Visitor.h"

TerminalExpression::TerminalExpression(string v) {
	this->variable = v;
}

int TerminalExpression::evaluate(Context *c) {
	return c->getValue(variable);
}

void TerminalExpression::accept(Visitor *v) {
	v->visitTerminal(this);
}
