#ifndef TERMINALEXPRESSION_H_
#define TERMINALEXPRESSION_H_

#include "Expression.h"
#include <string>

using namespace std;

class Visitor;
class Context;

class TerminalExpression : public Expression {
public:
	TerminalExpression(string v);
	int evaluate(Context *c);
	virtual void accept(Visitor *v);
private:
	string variable;
};

#endif /*TERMINALEXPRESSION_H_*/
