#include "TerminalExpression.h"
#include "Context.h"
#include "AddExpression.h"
#include "SubtractExpression.h"
#include "MultiplyExpression.h"
#include "Calculator.h"
#include <iostream>

int main(int argc, char **argv) {
	Context *c = new Context();
	c->assignVal("a", 20);
	c->assignVal("b", 40);
	c->assignVal("c", 30);
	c->assignVal("d", 10);

	TerminalExpression *ta = new TerminalExpression("a");
	TerminalExpression *tb = new TerminalExpression("b");
	TerminalExpression *tc = new TerminalExpression("c");
	TerminalExpression *td = new TerminalExpression("d");
	AddExpression *add = new AddExpression(ta, tb);
	SubtractExpression *sub = new SubtractExpression(tc, td);
	MultiplyExpression *mult = new MultiplyExpression(add, sub);

	Calculator *calculator = new Calculator(c);
	mult->accept(calculator); // ***
	cout << "(20+40)*(30-10)=" << calculator->getTotal();
	return 0;
}
