#ifndef VISITOR_H_
#define VISITOR_H_

#include "TerminalExpression.h"

class TerminalExpression;
class AddExpression;
class SubtractExpression;
class MultiplyExpression;

class Visitor {
public:
	virtual void visitTerminal(TerminalExpression *te) = 0 ;
	virtual void visitAdd(AddExpression *ae) = 0;
	virtual void visitSubtract(SubtractExpression *se) = 0;
	virtual void visitMultiply(MultiplyExpression *me) = 0;
};

#endif /*VISITOR_H_*/
